Update Webhook Subscription
curl --request PATCH \
--url https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/webhook-subscriptions/{subscriptionId} \
--header 'Content-Type: application/json' \
--header 'x-client-key: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"events": [
"task.status_changed",
"submission.submitted",
"user.activated"
],
"isActive": true
}
'import requests
url = "https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/webhook-subscriptions/{subscriptionId}"
payload = {
"events": ["task.status_changed", "submission.submitted", "user.activated"],
"isActive": True
}
headers = {
"x-client-key": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-client-key': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
events: ['task.status_changed', 'submission.submitted', 'user.activated'],
isActive: true
})
};
fetch('https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/webhook-subscriptions/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"code": 123,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"isActive": true,
"updatedAt": "2023-11-07T05:31:56Z"
}
}Webhooks
Update Webhook Subscription
Updates an existing webhook subscription. All fields are optional - only provided fields will be updated.
PATCH
/
api
/
v1
/
mgt
/
workspaces
/
{workspaceId}
/
webhook-subscriptions
/
{subscriptionId}
Update Webhook Subscription
Path Parameters
Workspace ID
Subscription ID
Body
application/json
⌘I